Source.list debian

Résolu/Fermé
kevin76110 Messages postés 4268 Date d'inscription vendredi 14 août 2009 Statut Membre Dernière intervention 27 mars 2013 - 2 juin 2011 à 20:04
mamiemando Messages postés 32067 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 27 janvier 2023 - 27 juil. 2011 à 22:20
Bonjour,

Voici mon source.list
Est-il correct ?


# deb cdrom:[Debian GNU/Linux 6.0.1a _Squeeze_ - Official i386 NETINST Binary-1 20110320-15:03]/ squeeze main

# deb cdrom:[Debian GNU/Linux 6.0.1a _Squeeze_ - Official i386 NETINST Binary-1 20110320-15:03]/ squeeze main

deb http://ftp.fr.debian.org/debian/ squeeze main
deb-src http://ftp.fr.debian.org/debian/ squeeze main #Added by software-properties

deb https://www.debian.org/security/ squeeze/updates main
deb-src http://ftp.fr.debian.org/debian/ squeeze/updates main #Added by software-properties

deb https://www.debian.org/security/ squeeze/updates main contrib non-free
deb-src https://www.debian.org/security/ squeeze/updates main contrib non-free

# squeeze-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ squeeze-updates main
deb-src http://ftp.fr.debian.org/debian/ squeeze-updates main

deb http://ftp.fr.debian.org/debian/ squeeze contrib non-free
deb-src http://ftp.fr.debian.org/debian/ squeeze contrib non-free #Added by software-properties



Car impossible de trouver une version de Iceweseal 4.0 en français ce qui me pose beaucoup de problèmes...

Merci d'avance.

Kévin



4 réponses

mamiemando Messages postés 32067 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 27 janvier 2023 7 534
4 juin 2011 à 17:58
Oui il est correct. Tu peux changer les "squeeze" en "stable" (comme ça le jour où wheezy deviendra la nouvelle stable, le passage vers la nouvelle version se fera automatiquement).

Pour avoir iceweasel en français :

aptitude update
aptitude safe-upgrade
aptitude install iceweasel-l10n-fr


Bonne chance
0
ok, ca marche

je te remercie mamiemando
0
mamiemando Messages postés 32067 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 27 janvier 2023 7 534
27 juil. 2011 à 22:20
Parfait bonne continuation
0
kevin76110 Messages postés 4268 Date d'inscription vendredi 14 août 2009 Statut Membre Dernière intervention 27 mars 2013 880
5 juin 2011 à 14:46
Hum non j'ai essayé pas mal de choses, dont
aptitude install iceweasel-l10n-fr
Pour l'avoir en français.
Mais j'ai pas mal d'échecs, autant pas la konsole que par la logithèque et synaptic:
Les paquets suivants ont des dépendances non satisfaites :
iceweasel-l10n-fr: Dépend: iceweasel (<= 3.5.99) mais 4.0.1-1~bpo60+1 est installé.

Je pensais que c'était dû au source.list, mais apparemment non.

Pour le moment j'ai downgradé IceWeasel, mais j'avais besoin d'une version 4 pour un plugin assez indispensable :/

Je trouverais alors :P

0
kevin76110 Messages postés 4268 Date d'inscription vendredi 14 août 2009 Statut Membre Dernière intervention 27 mars 2013 880
Modifié par kevin76110 le 5/06/2011 à 15:05
Lorsque je fait
root@rainbow:/etc/apt# apt-get update


J'ai ceci qui apparait:
Atteint http://ftp.fr.debian.org stable Release.gpg 
Atteint https://www.debian.org/security/ stable/updates Release.gpg 
Ign https://www.debian.org/security/ stable/updates/contrib Translation-en 
Ign https://www.debian.org/security/ stable/updates/contrib Translation-fr 
Ign https://www.debian.org/security/ stable/updates/main Translation-en 
Ign https://www.debian.org/security/ stable/updates/main Translation-fr 
Ign https://www.debian.org/security/ stable/updates/non-free Translation-en 
Ign http://security.debian.org/ stable/updates/non-free Translation-fr 
Atteint https://www.debian.org/security/ stable/updates Release 
Ign http://ftp.fr.debian.org/debian/ stable/contrib Translation-en 
Atteint https://www.debian.org/security/ stable/updates/main Sources 
Ign http://ftp.fr.debian.org/debian/ stable/contrib Translation-fr 
Atteint https://www.debian.org/security/ stable/updates/contrib Sources               
Atteint https://www.debian.org/security/ stable/updates/non-free Sources              
Atteint https://www.debian.org/security/ stable/updates/main i386 Packages            
Atteint https://www.debian.org/security/ stable/updates/contrib i386 Packages         
Atteint https://www.debian.org/security/ stable/updates/non-free i386 Packages        
Ign http://ftp.fr.debian.org/debian/ stable/main Translation-en 
Atteint http://ftp.fr.debian.org/debian/ stable/main Translation-fr 
Ign http://ftp.fr.debian.org/debian/ stable/non-free Translation-en 
Ign http://ftp.fr.debian.org/debian/ stable/non-free Translation-fr 
Ign http://ftp.fr.debian.org stable/updates Release.gpg 
Atteint http://ftp.fr.debian.org stable-updates Release.gpg 
Ign http://ftp.fr.debian.org/debian/ stable-updates/main Translation-en 
Ign http://ftp.fr.debian.org/debian/ stable-updates/main Translation-fr 
Atteint http://ftp.fr.debian.org stable Release 
Ign http://ftp.fr.debian.org stable/updates Release                        
Atteint http://ftp.fr.debian.org stable-updates Release 
Atteint http://ftp.fr.debian.org stable/main Sources                      
Atteint http://ftp.fr.debian.org stable/contrib Sources 
Atteint http://ftp.fr.debian.org stable/non-free Sources 
Atteint http://ftp.fr.debian.org stable/main i386 Packages 
Atteint http://ftp.fr.debian.org stable/contrib i386 Packages 
Atteint http://ftp.fr.debian.org stable/non-free i386 Packages 
Ign http://ftp.fr.debian.org stable/updates/main Sources 
Atteint http://ftp.fr.debian.org stable-updates/main Sources/DiffIndex 
Atteint http://ftp.fr.debian.org stable-updates/main i386 Packages/DiffIndex 
Err http://ftp.fr.debian.org stable/updates/main Sources 
  404  Not Found [IP : 212.27.32.66 80] 
Atteint http://ftp.fr.debian.org stable-updates/main i386 Packages 
W: Impossible de récupérer http://ftp.fr.debian.org/debian/dists/stable/updates/main/source/Sources.gz  404  Not Found [IP : 212.27.32.66 80] 

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.


Est-ce que les 2 ou 3 dernières lignes (en gras) sont normale ? Est-il normal que le ftp ne soit pas atteint ?

Et les Ign (j'en ai mis quelques-uns en gras), sont normaux aussi ?

---
°º¤ø,¸¸,ø¤º°'°º¤ø, Contributeur CCM °º¤ø,¸¸,ø¤º°'°º¤ø,
c'est pas parce que la solution ne vous plait pas qu'il faut mettre -1, c'est juste quand elle est inutile qu'il faut en mettre.
0
mamiemando Messages postés 32067 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 27 janvier 2023 7 534
5 juin 2011 à 15:27
Les lignes en gras ne sont pas grave.

Ton problème vient du fait que tu tentes d'installer un paquet de traduction pour firefox 3.5 alors que tu as installé firefox 4.0 qui n'est pas encore disponible sous debian.

De deux choses l'une soit tu attends que debian propose un paquet de traduction pour firefox 4.0, soit tu repasses à iceweasel 3.5.

Pour le moment sous debian, firefox 4.0 n'est disponible qu'en experimental, récupères les paquets iceweasel et iceweasel-l10n-fr sur ces liens :
https://packages.debian.org/experimental/iceweasel
https://packages.debian.org/experimental/iceweasel-l10n-fr

Ensuite pour les installer :

dpkg -i /chemin/vers/iceweasel*.deb
dpkg -i /chemin/vers/iceweasel-l10n-fr*.deb


Bonne chance
0